<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
    "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>

    <class name="model.EmpEntity" table="emp" schema="public" catalog="jdjtbtfw">
        <id name="empNo">
            <column name="emp_no" sql-type="numeric(4)" precision="4"/>
        </id>
        <property name="cognom">
            <column name="cognom" sql-type="varchar(10)" length="10"/>
        </property>
        <property name="ofici">
            <column name="ofici" sql-type="varchar(10)" length="10" not-null="true"/>
        </property>
        <property name="dataAlta">
            <column name="data_alta" sql-type="date" not-null="true"/>
        </property>
        <property name="salari">
            <column name="salari" sql-type="numeric" precision="-1" not-null="true"/>
        </property>
        <property name="comissio">
            <column name="comissio" sql-type="numeric" precision="-1" not-null="true"/>
        </property>
    </class>
</hibernate-mapping>